## Opus-NT
A windows homebrew kit and collection of mods. Can mod .WIM (this is where main-support is), online and offline windows installations. Mods are written for 7 and up, but are likely to work with Vista and up. **Certain parts are still untested, so bear with me.**

## Mods
[View mod documentation](docs/index.md) - Can also be viewed locally, in a browser (index.html).

## Prerequisites
* **Python:** https://www.python.org/downloads/ (Get 3.8.* if you're on 7, devs are soy)
* **colorama** (optional)**:** `py -m pip install colorama`
* **wimlib:** https://wimlib.net/ (if working with .WIMs)

## Prep - Before applying
1. Check which mods you want to apply. If you do not like a mod, or a category, disable it by putting a `-` in front of the name, like this: `-mod` or `-[category]`.
2. Run `set-perms.bat` as admin. You can run `unset-perms.bat` after you're done applying, to edit the folder's contents.

## Applying - Simple (Online)
Drag `run-online.bat` into `ti-shell.bat`. It will use [RunAsTI](https://github.com/AveYo/LeanAndMean/blob/main/RunAsTI.bat) to execute `run.py`, and apply all mods to your currently running system. If you want to know how it works, edit the .bat file.

## Applying - Simple (.WIM)
Extract wimlib to `Path\` (the folder is only added to %path% if you use `ti-shell.bat`). `wimlib-imagex.exe` should be in the main `Path\` folder, alongside their libraries.

Drag `run-wim.bat` into `ti-shell.bat`. It will use [RunAsTI](https://github.com/AveYo/LeanAndMean/blob/main/RunAsTI.bat) to execute `run.py`, and apply all mods to your wished for wim file. If you want to know how it works, edit the .bat file.

If Python shows no exceptions, the script likely ran successfully.

If you want to edit offline media, or batch-process .WIMs, move on to [Applying - Advanced](#applying-advanced).

### Arguments:
`run-wim.bat "wimpath" 1`

Replace `wimpath` with the path to your .wim, and `1` with the index you want to modify, * for all. Both arguments are optional, though you cannot define an index without a wim. If you run the batch without any arguments, you will be asked for some.


## Applying - Advanced
Execute `ti-shell.bat` to elevate to TrustedInstaller. Now execute `run.py` with some arguments, as SYSTEM or TrustedInstaller. Arguments work like this: `arg="value"`. If working with .WIMs, make sure [wimlib](https://wimlib.net/) is in your %path%.

### Arguments - .WIM:
* **wim:** Point to a wim file (**required**)  
* **index:** Choose the index to apply to. Starts at 1, use \* for all (**required**)
* **tmp:** Set temporary folder

**Example:** `run.py wim="E:\sources\install.wim" index=*` - Applies tweaks to all indexes of `E:\sources\install.wim`.

### Arguments - Offline media:
* **path:** Point to a Windows install, likely a drive with a `Windows` folder (**required**)

**Example:** `run.py path="D:"` - Applies tweaks to `D:\`.

### Arguments - Online:
None.

**Example:** `run.py online`

### Arguments - General:
* **modpath:** Folder to source mods from.

**Example:** `run.py modpath="mods-trustedInstaller" wim="E:\sources\install.wim" index=*` - Apply mods that require to be executed by TrustedInstaller to all indexes of `E:\sources\install.wim`.
