<!DOCTYPE HTML>
<html>
<head>
<title>opus-nt - Mod Documentation</title>
<meta charset="UTF-8">
<style>
	body {
		background-color: ButtonFace;
		color: ButtonText;
		font: menu;
	}
	
	table {
		border: 1px outset ButtonShadow;
		background-color: Window;
	}
	
	th, td {
		border: 1px inset ButtonShadow;
	}
	
	th, td {
		padding-left: 5px;
		padding-right: 5px;
	}
	
	a {
		text-decoration: none;
	}
	
	h1, h2, h3, h4, h5 {
		color: CaptionText;
	}
</style>
</head>

<body><h1 id="tags"><a href="#tags">#</a> Tags</h1>
<table>
	<tr><th>Tag</th><th>Description</th></tr>
	<tr><td><b>stability</b></td><td>Prevents crashes or loss of data</td></tr>
	<tr><td><b>performance</b></td><td>Mod enhances speed</td></tr>
	<tr><td><b>quality</b></td><td>Quality of life related changes, makes things nicer to use</td></tr>
	<tr><td><b>looks</b></td><td>Changes the looks of the OS</td></tr>
	<tr><td><b>security</b></td><td>Enhances the security</td></tr>
	<tr><td><b>privacy</b></td><td>Betters non-telemetry related privacy</td></tr>
	<tr><td><b>telemetry</b></td><td>Circumvents M$ telemetry</td></tr>
</table><h1 id="mods"><a href="#mods">#</a> Mods: mods</h1>
Mods that require System rights<br>
<table>
	<tr><th>Mod</th><th>Tags</th><th>Description</th></tr>
	<tr><td>[all-based]\<b>classic - incognito theme</b></td><td>none</td><td>No description</td></tr>
	<tr><td>[all-based]\<b>always use oem background if exists</b></td><td>quality</td><td>Use the OEM wallpaper for the login screen if it exists.</td></tr>
	<tr><td>[all-based]\<b>basic bootux</b></td><td>performance</td><td>Use a simplified throbber when booting up, reducing the amount of data that needs to be loaded.</td></tr>
	<tr><td>[all-based]\<b>classic - colors</b></td><td>looks</td><td>Use the colors of W2K.</td></tr>
	<tr><td>[all-based]\<b>classic - proportions and fonts</b></td><td>looks</td><td>Use W2K&#x27;s proportions and fonts.</td></tr>
	<tr><td>[all-based]\<b>classic - theme</b></td><td>performance, looks</td><td>Use the Windows Classic (W2K) theme.</td></tr>
	<tr><td>[all-based]\<b>disable windows update</b></td><td>performance</td><td>Disables automatic updates, reducing random loads.</td></tr>
	<tr><td>[all-based]\<b>disable winsat schedule</b></td><td>performance</td><td>Stops Windows from benchmarking your System&#x27;s performance to get a Performance index score.</td></tr>
	<tr><td>[all-based]\<b>minimal visuals</b></td><td>performance</td><td>Disables unimportant visual effects, such as shadows and animations.</td></tr>
	<tr><td>[all-based]\<b>new command prompt context option</b></td><td>quality</td><td>Adds Command Prompt to the context menu, when rightclicking a folder or the background.</td></tr>
	<tr><td>[all-based]\<b>remove IE and WMP pins</b></td><td>quality</td><td>Removes unnecessary Internet Explorer and Windows Media Player shortcuts in the taskbar.</td></tr>
	<tr><td>[all-based]\<b>remove user libraries</b></td><td>quality</td><td>Stops Explorer from showing user libraries everywhere, reducing clutter.</td></tr>
	<tr><td>[all-based]\<b>replace favorites with user shortcut</b></td><td>quality</td><td>Removes default favorite shortcuts and adds one for the current user to reduce clutter.</td></tr>
	<tr><td>[all-nu]\<b>disable metro app swapping</b></td><td>performance</td><td>Stops Windows Store apps from swapping in and out of memory, reducing disk usage.</td></tr>
	<tr><td>[all-nu]\<b>disable microsoft account (accidental)</b></td><td>telemetry</td><td>Stops user from accidentally connecting their local account to a Microsoft account.</td></tr>
	<tr><td>[all-nu]\<b>disable microsoft account (consensual)</b></td><td>telemetry</td><td>Stops user from purposefully connecting their local account to a Microsoft account.</td></tr>
	<tr><td>[all-nu]\<b>disable ms-msdt protocol</b></td><td>security</td><td>Disables the ms-msdt protocol, which can result in RCE under certain circumstances on unpatched systems, see CVE-2022-30190.</td></tr>
	<tr><td>[all-nu]\<b>disable smartscreen</b></td><td>performance, telemetry</td><td>Don&#x27;t check Microsoft&#x27;s database for executables before running them.</td></tr>
	<tr><td>[all-nu]\<b>disable telemetry</b></td><td>performance, telemetry</td><td>Prevent system from collecting some data. Only fully works on enterprise.</td></tr>
	<tr><td>[all-nu]\<b>disable update auto-reboot</b></td><td>stability, quality</td><td>Disable the complete arsenine scheduled reboot to apply installed updates.</td></tr>
	<tr><td>[all-nu]\<b>disable wpbt</b></td><td>stability, performance, security, telemetry</td><td>Prevents execution of OEM software that ships through the UEFI&#x27;s firmware.</td></tr>
	<tr><td>[all-nu]\<b>remove all apps</b></td><td>performance, quality, telemetry</td><td>Removes all Windows Store apps, including the Windows Store itself.</td></tr>
	<tr><td>[all-nu]\<b>smaller titlebar</b></td><td>quality, looks</td><td>Reduce title bar size to reclaim some screen space.</td></tr>
	<tr><td>[all-nu]\<b>uninstall pc health check</b></td><td>quality</td><td>Removes the annoying reminder that you should install Windows 11, and keeps it from being installed.</td></tr>
	<tr><td>[all]\<b>SetupComplete (offline)</b></td><td>none</td><td>No description</td></tr>
	<tr><td>[all]\<b>smaller desktop icons</b></td><td>none</td><td>No description</td></tr>
	<tr><td>[all]\<b>SetupComplete (wim)</b></td><td>quality</td><td>Runs scripts in the Out Of Box Experience (OOBE)</td></tr>
	<tr><td>[all]\<b>classic - cursors</b></td><td>looks</td><td>Uses W9X-like cursors</td></tr>
	<tr><td>[all]\<b>console - new coat of paint</b></td><td>looks</td><td>Uses nicer colors for the console.</td></tr>
	<tr><td>[all]\<b>console - smaller font and universal buffer</b></td><td>quality, looks</td><td>Uses sharp and small bitmap fonts, as well as the same buffer size on all accounts.</td></tr>
	<tr><td>[all]\<b>control panel large icon view</b></td><td>quality</td><td>Uses the Control Panel view more similar to XP and below.</td></tr>
	<tr><td>[all]\<b>copy file path context option</b></td><td>quality</td><td>No description</td></tr>
	<tr><td>[all]\<b>disable ac low battery shutdown</b></td><td>stability, quality</td><td>Stops Laptops from shutting down if they&#x27;re charging and the battery goes empty. This can happen with weak chargers, old batteries and strong usage.</td></tr>
	<tr><td>[all]\<b>disable accessibility key combos</b></td><td>quality</td><td>Disables different key combos for stuff like Sticky Keys. Can get in the way when gaming for example.</td></tr>
	<tr><td>[all]\<b>disable action center icon</b></td><td>quality</td><td>Disables the rather useless action center in the taskbar tray.</td></tr>
	<tr><td>[all]\<b>disable auto crash reboot</b></td><td>quality</td><td>Stops the computer from rebooting after a bluescreen, so the error is more accessible to a human.</td></tr>
	<tr><td>[all]\<b>disable auto-standby</b></td><td>quality</td><td>Keeps computer from stopping background work when not wished for.</td></tr>
	<tr><td>[all]\<b>disable automatic driver updates</b></td><td>stability</td><td>Keeps Windows Update from pulling new drivers (doesn&#x27;t include GPU drivers, on Windows 10+) to prevent hard to trace instability from cropping up.</td></tr>
	<tr><td>[all]\<b>disable autoplay</b></td><td>quality</td><td>Disables the Window that pops up when inserting media. Prevents interruption when the media is intended to be accessed later.</td></tr>
	<tr><td>[all]\<b>disable customer experience improvement program</b></td><td>performance, telemetry</td><td>Disables collection of certain diagnostic data, which can also cause computer slowdown.</td></tr>
	<tr><td>[all]\<b>disable defragmentation schedule</b></td><td>stability, performance</td><td>Keeps computer from defragmenting weekly, reducing occurances of inconsistent performance. SSDs are kept from being defragmented as well.</td></tr>
	<tr><td>[all]\<b>disable diagnostics tracking service</b></td><td>telemetry</td><td>No description</td></tr>
	<tr><td>[all]\<b>disable enhanced pointer precision</b></td><td>quality</td><td>Enhanced pointer precision actually makes mouse movements less predictable.</td></tr>
	<tr><td>[all]\<b>disable file open warnings</b></td><td>quality</td><td>Disable saving NTFS zone information for downloaded files.</td></tr>
	<tr><td>[all]\<b>disable force closing of bg apps</b></td><td>stability</td><td>Vista and up forcefully end processes that don&#x27;t have a Window, which can cause data loss.</td></tr>
	<tr><td>[all]\<b>disable hibernation</b></td><td>stability, performance</td><td>Disables hibernation and all features associated to it, like hybrid sleep (which slows down standby) and fast startup (which never allows your disk to be edited by another OS and also causes instability over time if you don&#x27;t restart)</td></tr>
	<tr><td>[all]\<b>disable remote assistance</b></td><td>security</td><td>Disallow public access to the PC. Has been known to be exploited in the past.</td></tr>
	<tr><td>[all]\<b>disable sfc</b></td><td>quality</td><td>Keeps Windows from automatically enforcing its own files, making it more modding friendly.</td></tr>
	<tr><td>[all]\<b>disable sleep when closing lid</b></td><td>quality</td><td>Stop Laptop from sleeping when closing lid. Sometimes you just wanna close your laptop and have it still perform tasks.</td></tr>
	<tr><td>[all]\<b>disable storage service</b></td><td>performance, quality</td><td>Disables the service responsible for enforcing group policy for storage devices. Reduces performance, stores additional files on disks, keeps USB drives active for no apparent reason.</td></tr>
	<tr><td>[all]\<b>disable superfetch and prefetch</b></td><td>performance</td><td>Superfetch/prefetch are supposed to speed up reading from your HDD, but they often malfunction or just cause more HDD thrashing than it&#x27;s worth.</td></tr>
	<tr><td>[all]\<b>disable system restore</b></td><td>performance</td><td>Reduces harddrive usage by not indexing old files.</td></tr>
	<tr><td>[all]\<b>disable windows defender</b></td><td>performance</td><td>Reduces harddrive usage.</td></tr>
	<tr><td>[all]\<b>disable windows search index</b></td><td>performance</td><td>Reduces harddrive usage.</td></tr>
	<tr><td>[all]\<b>don&#x27;t track programs and docs in start</b></td><td>none</td><td>Keeps people from seeing what you have been using, also stops Windows from clogging up your start menu with useless stuff. If you liked it, you should have put a pin in it.</td></tr>
	<tr><td>[all]\<b>embedded - enable page file</b></td><td>stability</td><td>Embedded (now IoT) editions of Windows will now use the paging file on default, allowing devices with low amounts of memory to boot.</td></tr>
	<tr><td>[all]\<b>enable file extensions</b></td><td>quality</td><td>Shows file extensions like .exe in Explorer, allowing you to more easily see the full name of files and to edit file endings.</td></tr>
	<tr><td>[all]\<b>enable long paths</b></td><td>quality</td><td>Removes the 260 character path length limit.</td></tr>
	<tr><td>[all]\<b>internet explorer - blank homepage</b></td><td>performance, telemetry</td><td>Uses a blank homepage in Internet Explorer for faster startup and privacy.</td></tr>
	<tr><td>[all]\<b>internet explorer - google search engine</b></td><td>quality</td><td>No one wants to use Bing, right?</td></tr>
	<tr><td>[all]\<b>move open with to top</b></td><td>quality</td><td>Replaces &quot;Open with&quot; in the context menu with a new option, that allows you to pick a program from a dialogue.</td></tr>
	<tr><td>[all]\<b>postSetup</b></td><td>quality</td><td>Runs scripts after Windows Setup is done.</td></tr>
	<tr><td>[all]\<b>power and standby button both standby</b></td><td>stability, quality</td><td>Keep the computer from shutting down when (accidentally) pressing the power button. When pressing the button on purpose, you likely want the machine to stop operation rather quickly and reliably, so using sleep is often the better choice.</td></tr>
	<tr><td>[all]\<b>raise gpu driver timeout</b></td><td>stability</td><td>Raises the TDR timeout from 2 seconds to 16 seconds. Reduces false detection of GPU driver crashes due to strong spikes of usage.</td></tr>
	<tr><td>[all]\<b>recycle bin in computer</b></td><td>quality</td><td>Shows the Recycle Bin in Computer/This PC for easy access.</td></tr>
	<tr><td>[all]\<b>remove translated user folders</b></td><td>quality</td><td>Removes translation for a user&#x27;s main folders, which resolves issues with sorting, and confusion because of falsified names.</td></tr>
	<tr><td>[all]\<b>sane date and time format</b></td><td>none</td><td>Sets your date format to DD.MM.YYYY and time format to HH:MM:SS (24-hour clock).</td></tr>
	<tr><td>[all]\<b>small taskbar icons</b></td><td>quality</td><td>Uses smaller icons to preserve screen space.</td></tr>
	<tr><td>[all]\<b>uac level 2 - no dim (no secure desktop)</b></td><td>performance, quality</td><td>Disables the dimming that happens when a UAC dialog comes up, reducing flicker and keeping you immersed.</td></tr>
	<tr><td>[all]\<b>underline keyboard shortcuts</b></td><td>quality</td><td>Always underlines the key you can press to access a button/option, so you can use the computer without a mouse more easily.</td></tr>
	<tr><td>[all]\<b>use utc time</b></td><td>quality</td><td>Make Windows aware that the system is using UTC time, like Linux does. This prevents the OSes from changing eachother&#x27;s times, and also prevents multiple adjustments for daylight savings time when multi-booting.</td></tr>
	<tr><td>[all]\<b>userSetup</b></td><td>quality</td><td>Runs scripts when a user logs in for the first time.</td></tr>
	<tr><td>[all]\<b>verbose shutdown and startup</b></td><td>quality</td><td>Shows more detailed status messages when the Windows is starting up or shutting down.</td></tr>
	<tr><td>[all]\<b>versioning</b></td><td>quality</td><td>Makes versioning available for scripts.</td></tr>
	<tr><td>[hell2]\<b>disable chat button</b></td><td>quality</td><td>Disable chat button in taskbar.</td></tr>
	<tr><td>[hell2]\<b>old context menu</b></td><td>quality</td><td>Remove the new, fat and stupid context menu.</td></tr>
	<tr><td>[hell]\<b>disable AppXSvc</b></td><td>none</td><td>No description</td></tr>
	<tr><td>[hell]\<b>defer feature updates by 365 days</b></td><td>stability</td><td>Delay feature updates as much as possible, so they&#x27;re more likely to be stable.</td></tr>
	<tr><td>[hell]\<b>disable automatic driver updates</b></td><td>stability</td><td>Keeps Windows Update from pulling new drivers (doesn&#x27;t include GPU drivers, on Windows 10+) to prevent hard to trace instability from cropping up.</td></tr>
	<tr><td>[hell]\<b>disable automatic sign on</b></td><td>performance, privacy</td><td>Stop Windows from loading your account in advance, before you logged in.</td></tr>
	<tr><td>[hell]\<b>disable automatic updates</b></td><td>performance</td><td>Disables Windows from downloading and installing updates, reducing random loads.</td></tr>
	<tr><td>[hell]\<b>disable bing in search</b></td><td>performance, telemetry</td><td>Disables Bing suggestions in the search.</td></tr>
	<tr><td>[hell]\<b>disable compatibility telemetry</b></td><td>performance, telemetry</td><td>Prevent system from collecting and sending compatibility-related data.</td></tr>
	<tr><td>[hell]\<b>disable cortana</b></td><td>telemetry</td><td>Get fun facts, tips, and more from Windows and Cort- stfu</td></tr>
	<tr><td>[hell]\<b>disable cross-pc updates</b></td><td>security</td><td>Stop your computer from pulling updates from other computers in the same network.</td></tr>
	<tr><td>[hell]\<b>disable game bar</b></td><td>performance</td><td>Get rid of the game bar, which reduces the performance on low end devices.</td></tr>
	<tr><td>[hell]\<b>disable game mode</b></td><td>quality</td><td>Game mode introduces automatic changes to how notifications and certain applications behave on your computer. Idk it&#x27;s just weird.</td></tr>
	<tr><td>[hell]\<b>disable internet explorer to edge redirect</b></td><td>quality</td><td>Stop Internet Explorer from force-opening edge. Doesn&#x27;t work right, idk lol.</td></tr>
	<tr><td>[hell]\<b>disable meet now tray icon</b></td><td>quality</td><td>No description</td></tr>
	<tr><td>[hell]\<b>disable news and interests widget</b></td><td>quality</td><td>No description</td></tr>
	<tr><td>[hell]\<b>disable onedrive auto-install</b></td><td>performance, quality</td><td>Stops OneDrive from installing itself onto each user&#x27;s account.</td></tr>
	<tr><td>[hell]\<b>disable security health service</b></td><td>performance</td><td>Stops computer from checking if Windows Defender is alive.</td></tr>
	<tr><td>[hell]\<b>disable settings app header</b></td><td>quality</td><td>Disables the ginormous header in the Settings app that shows your user name, picture and tells you to do stuff with Microsoft services.</td></tr>
	<tr><td>[hell]\<b>disable start menu suggestions</b></td><td>quality</td><td>Removes the &quot;Suggested&quot; category in the start menu.</td></tr>
	<tr><td>[hell]\<b>disable third party apps</b></td><td>performance</td><td>Disables a bunch of interfaces relating to extra apps being downloaded at random.</td></tr>
	<tr><td>[hell]\<b>disable tips tricks and suggestions</b></td><td>quality</td><td>Disable random push notifications telling you to use Microsoft services.</td></tr>
	<tr><td>[hell]\<b>disable transparency</b></td><td>performance</td><td>Remove transparency effects from the start menu, taskbar and certain apps.</td></tr>
	<tr><td>[hell]\<b>disable update check schedule</b></td><td>performance, telemetry</td><td>Keep Windows from checking for updates.</td></tr>
	<tr><td>[hell]\<b>disable windows defender</b></td><td>quality, performance, telemetry</td><td>Reduces harddrive usage and telemetry.</td></tr>
	<tr><td>[hell]\<b>no duplicate drives in explorer</b></td><td>quality</td><td>Reduces clutter by not listing external drives a second time in Explorer&#x27;s sidebar.</td></tr>
	<tr><td>[hell]\<b>no start tiles</b></td><td>quality</td><td>Get rid of the default tiles pinned to the start menu.</td></tr>
	<tr><td>[hell]\<b>opus-nt_update</b></td><td>performance, quality</td><td>Remove Windows&#x27; automatic updates and updater entirely with a new one that filters unimportant updates and lets you decide when to upgrade your feature version.</td></tr>
	<tr><td>[hell]\<b>quick access - don&#x27;t show frequent folders</b></td><td>quality</td><td>Don&#x27;t show random folders in Explorer&#x27;s sidebar to reduce clutter.</td></tr>
	<tr><td>[hell]\<b>raise svchost split threshold</b></td><td>performance</td><td>Keeps svchost processes combined to reduce memory usage.</td></tr>
	<tr><td>[hell]\<b>remove user libraries</b></td><td>quality</td><td>Stops Explorer from showing user libraries everywhere, reducing clutter.</td></tr>
	<tr><td>[hell]\<b>replace quick access shortcuts with user shortcut</b></td><td>quality</td><td>Removes default quick access pins and adds one for the current user to reduce clutter.</td></tr>
	<tr><td>[unattend]\[10.0]\[amd64]\<b>unattend</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[10.0]\[x86]\<b>unattend</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[amd64]\<b>unattend-enterprise</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[amd64]\<b>unattend-homebasic</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[amd64]\<b>unattend-homepremium</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[amd64]\<b>unattend-professional</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[amd64]\<b>unattend-starter</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[amd64]\<b>unattend-ultimate</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[x86]\<b>unattend-enterprise</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[x86]\<b>unattend-homebasic</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[x86]\<b>unattend-homepremium</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[x86]\<b>unattend-professional</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[x86]\<b>unattend-starter</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
	<tr><td>[unattend]\[6.1]\[x86]\<b>unattend-ultimate</b></td><td>quality</td><td>Skip certain questions in the last step of Windows setup.</td></tr>
</table><br>
<h1 id="mods-online"><a href="#mods-online">#</a> Mods: mods-online</h1>
Mods that are applied for online deployments<br>
<table>
	<tr><th>Mod</th><th>Tags</th><th>Description</th></tr>
	<tr><td>\<b>00 run SetupComplete</b></td><td>quality</td><td>Run SetupComplete scripts when applying on an online system.</td></tr>
	<tr><td>\<b>01 run postSetup</b></td><td>quality</td><td>Run postSetup scripts when applying on an online system.</td></tr>
</table><br>
<h1 id="mods-trustedInstaller"><a href="#mods-trustedInstaller">#</a> Mods: mods-trustedInstaller</h1>
Mods that require TrustedInstaller rights<br>
<table>
	<tr><th>Mod</th><th>Tags</th><th>Description</th></tr>
	<tr><td>[all-based]\<b>disable action center service and menus</b></td><td>quality</td><td>No description</td></tr>
	<tr><td>[all-based]\<b>disable gameux</b></td><td>performance, telemetry</td><td>Remove DLLs responsible for fetching game information and images, as it hangs games when starting up.</td></tr>
	<tr><td>[all-based]\<b>disable windows update menus</b></td><td>quality</td><td>Remove Windows Update menus in Vista/7, as Windows Update sucks in them.</td></tr>
	<tr><td>[all-nu]\<b>new command prompt context option</b></td><td>quality</td><td>Adds Command Prompt to the context menu, when rightclicking a folder or the background.</td></tr>
	<tr><td>[hell2]\[binaries]\<b>custom oobe</b></td><td>stability, quality</td><td>Replace the last step of setup with a custom one to prevent setup failure and to skip questions.</td></tr>
	<tr><td>[hell]\<b>disable automatic updates</b></td><td>performance</td><td>Disables Windows from downloading and installing updates, reducing random loads.</td></tr>
</table><br>
</body>
</html>